import gym
import random


def main():
    env = gym.make("CartPole-v1")
    observation = env.reset()

    action = random.choice([0,1]) # or env.action_space.sample()
    i = 0
    results = []
    for _ in range(100000):
        env.render()

        observation, reward, done, info = env.step(action)
        # observation
        # [position, velocity, angle, angular velocity]
        
        # reward
        # 1 if not done 
        
        action = random.choice([0,1])

        i += 1
        if done:
            print(i)
            if i > 100:
                print("!!!!!")
            elif i> 50:
                print("#####")
            results.append(i)
            if len(results) == 100:
                print("avg: ", sum(results)*1.0/100)
                results = []
            i = 0
            observation = env.reset()
            action = random.choice([0,1])
    env.close()
    
if __name__ == "__main__":
    main()